Skip to main content
Alerting & Response/Alert Templates

ListAlertTemplatePresets

List all builtin preset templates available for use

GET/api/v1/alerting/templates/presets

Operation ID

ListAlertTemplatePresets

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of preset templates

    Example: (nested array)

    • uuid
      String

      Unique identifier of the template

      Example: tmpl-001

    • name
      String

      Human-readable template name

      Example: Default Email Template

    • format
      String

      Template format: markdown, html, json, or plain_text

      Example: markdown

    • content
      String

      Template content with variable placeholders

      Example: # Alert: {{.AlertName}}

    • source
      String

      Template source: builtin or custom

      Example: builtin

    • createDate
      String

      Timestamp when the template was created

      Example: 2026-01-15T08:00:00Z

    • lastOpDate
      String

      Timestamp of the last template modification

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    Total number of presets

    Example: 5

  • limit
    Integer

    Maximum items per page

    Example: 20

  • offset
    Integer

    Offset from start of result set

    Example: 20